//
// Copyright 1998 by Kevin Atkinson under the terms of the LGPL.
//
#include "error.hh" 

string ae_cant_read::message() const {
  return "Sorry, I can't read the file \"" + file + "\".";
}

string ae_bad_format::message() const {
  return "The file \"" + file + "\" is not in the proper format.";
}

string ae_cant_write::message() const {
  return "Sorry, I can't write to \"" + file + "\".";
}

string ae_duplicates::message() const {
  return "There were duplicate words in the input.  The file \"" + file
    + "\" containes a word list without the duplicates."
    "  Please rerun with that file as input.";
}

string ae_unknown_lang::message() const {
  return "Sorry the language \"" + language + "\" is not known.";
}

void ae_unknown_lang::rethrow_w_file(const string &f, const aspell_object *o) const { 
  throw ae_unknown_lang_in_file(f, language, o); 
}

string ae_mismatched_lang::message() const {
  return "Sorry the language \"" + language +
    "\" is not the same as the current language.";
}

void ae_mismatched_lang::rethrow_w_file(const string &f, const aspell_object *o) const {
  throw ae_mismatched_lang_in_file(f, language, o); 
}

string ae_unknown_lang_in_file::message() const {
  return "Sorry the language \"" + language + "\" is not known." +
    (file.size() ? "In file \"" + file + "\"." : string());
}

string ae_mismatched_lang_in_file::message() const {
  return "Sorry the language \"" + language + "\" in file \"" + file + 
    "\" is not the same as the current language.";
}

string ae_dont_own_wordlist::message() const {
  return "Sorry I don't own that wordlist.  Thus I can't delete it.";
}
