#include "language.hh"
#include "phonetic.hh"
#include <set>

SC_Phonetic * SC_Phonetic::clone() const {
  return new SC_Phonetic(*this);
}

string SC_Phonetic::soundslike_chars(const SC_Language * lang) const {
  set<char> chars_set;
  string    chars_list;
  for (int i = 0; i != 256; ++i) 
    {
      chars_set.insert(lang->to_sl(static_cast<char>(i)));
    }
  for (set<char>::iterator i = chars_set.begin(); 
       i != chars_set.end(); 
       ++i) 
    {
      chars_list += *i;
    }
  return chars_list;
}

bool SC_Phonetic::generic_soundslike() const {
  return true;
}

string SC_Phonetic::to_soundslike(const SC_Language * lang, 
				  const char * i) const 
{
  string new_word; 

  for (; *i; ++i) 
    if (lang->to_sl(*i) != '0') new_word += lang->to_sl(*i);

  return new_word;
}

bool SC_Phonetic::have_phoneme() const {
  return false;
}

string SC_Phonetic::to_phoneme(const SC_Language * lang,
			       const char * word) const
{
  return "";
}
