#include "phonetic.hh"
#include "const_string.hh"
#include <pair.h>

const SC_Phonetic * new_Phonetic_English(const SC_Language *);

const SC_Phonetic * SC_Phonetics (const char *name, const SC_Language *lang) {
  typedef pair<const_string, const SC_Phonetic * (*)(const SC_Language *)> lookup_pair;
  static const int size = 1;
  static const lookup_pair lookup[size] = {
    lookup_pair("english", new_Phonetic_English)
  };
  for (int i = 0; i != size; ++i) {
    if (name == lookup[i].first)
      return (*lookup[i].second)(lang);
  }
  return new SC_Phonetic(lang);
}  

